> For the complete documentation index, see [llms.txt](https://docs.appkickstarter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appkickstarter.com/features/platform-utilities.md).

# Platform utilities

### Application Marketing

* Encourage users to rate your app without leaving it. This can boost your app's ratings and visibility in the app store:

```
inAppRating() 
```

* Direct users to your app's store page to leave a review or explore more details with:

```
fun openAppStore() 
```

* Share custom text content, perfect for spreading the word about your app on social media or messaging platforms:

```
fun shareText(text: String)
```

* Increase your app's reach by sharing it directly, which allows you to send a personalized message along with the app's store link

```
fun shareApp(applicationId: String, message: (link: String) -> String)
```

### Web

Direct users to a specific website or promotional page. This function opens the user's default browser to the specified URL:

```
fun openUrl(url: String)
```

### Haptic Feedback

Enhance the tactile experience of your app with Haptic Feedback:

```
val haptic = LocalHapticFeedback.current
PrimaryButton("Vibrate") { 
    haptic.performHapticFeedback(HapticFeedbackType.LongPress)
} 
```

### CollectAsState

Use this in shared code:

```
collectAsStateMultiplatform()
```

It takes into account `collectAsStateWithLifecycle` in Android.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appkickstarter.com/features/platform-utilities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
